include:
  - project: 'mro/common/tools/gitlab-ci-utils'
    file:
      - 'ci/scripts/gitlab-ci-node.yml'
      - 'ci/scripts/gitlab-ci-mirror.yml'

stages:
  - test
  - deploy

test:
  stage: test
  image: node:lts-slim
  script:
    - apt-get update
    - apt-get install git curl ${DEPENDENCIES} --yes
    - export PATH="./node_modules/.bin:$PATH"
    - npm install

    - node . -l coverage -v 90 --level 0:red,60:orange,70:yellow,90:brightgreen
    - node . --label lint --value 3 --level 0:brightgreen,1:yellow,5:orange,10:red

npm-publish:
  extends: .npm-publish

mirror:
  extends: .mirror
  variables:
    PROJECT_PATH: mro/common/tools/mkbadge.js
    TARGET: ssh://git@gitlab.cern.ch:7999/ntof/daq/common/tools/mkbadge.js.git
